DICScanner Class Reference

Private class that represents a dictionary scanner. More...

`#include <DICScannerBase.h>`

Inheritance diagram for DICScanner:
Collaboration diagram for DICScanner:

## Public Member Functions

| DICScanner (std::istream *yyin)
| DICScanner ()
void | Clear ()
void | Reset ()
int | ProcessNone ()
void | ProcessWhiteSpace ()
int | ProcessData ()
int | ProcessItemSaveBegin ()
int | ProcessCategorySaveBegin ()
int | ProcessSaveEndScanner ()
int | ProcessLoopScanner ()
void | ProcessStop ()
int | ProcessDot ()
int | ProcessQuestion ()
void | ProcessComment ()
int | ProcessItemNameScanner ()
int | ProcessUnquotedString ()
int | ProcessSQuotedString ()
int | ProcessDQuotedString ()
int | ProcessEof ()
virtual int | yylex ()
virtual | ~DICScanner ()

## Public Attributes

int | NDBlineNo
int | isSave

## Protected Member Functions

void | alt_yymore (void)
void | OpenLog (const std::string &logName, bool verboseLevel)

## Protected Attributes

std::string * | _tBuf
int | _isText
int | _i
int | _j
int | _len
std::ofstream | log
bool | _verbose

## Detailed Description

Private class that represents a dictionary scanner.

## Constructor & Destructor Documentation

DICScanner::DICScanner | ( | std::istream * | yyin | ) |

DICScanner::DICScanner | ( |  | ) |

virtual DICScanner::~DICScanner | ( |  | ) |

inline virtual

References Reset().

## Member Function Documentation

void DICScanner::alt_yymore | ( | void |  | ) |

protected

void DICScanner::Clear | ( |  | ) |

void DICScanner::OpenLog | ( | const std::string & | logName,
|  | bool | verboseLevel
| ) |  |

protected

int DICScanner::ProcessCategorySaveBegin | ( |  | ) |

void DICScanner::ProcessComment | ( |  | ) |

int DICScanner::ProcessData | ( |  | ) |

int DICScanner::ProcessDot | ( |  | ) |

int DICScanner::ProcessDQuotedString | ( |  | ) |

int DICScanner::ProcessEof | ( |  | ) |

int DICScanner::ProcessItemNameScanner | ( |  | ) |

int DICScanner::ProcessItemSaveBegin | ( |  | ) |

int DICScanner::ProcessLoopScanner | ( |  | ) |

int DICScanner::ProcessNone | ( |  | ) |

int DICScanner::ProcessQuestion | ( |  | ) |

int DICScanner::ProcessSaveEndScanner | ( |  | ) |

int DICScanner::ProcessSQuotedString | ( |  | ) |

void DICScanner::ProcessStop | ( |  | ) |

int DICScanner::ProcessUnquotedString | ( |  | ) |

void DICScanner::ProcessWhiteSpace | ( |  | ) |

void DICScanner::Reset | ( |  | ) |

Referenced by ~DICScanner().

virtual int DICScanner::yylex | ( |  | ) |

virtual

## Member Data Documentation

int DICScanner::_i

protected

int DICScanner::_isText

protected

int DICScanner::_j

protected

int DICScanner::_len

protected

std::string* DICScanner::_tBuf

protected

bool DICScanner::_verbose

protected

int DICScanner::isSave

std::ofstream DICScanner::log

protected

int DICScanner::NDBlineNo

The documentation for this class was generated from the following file:

- rcsb/DICScannerBase.h